Bug Hunting Session
Bug 32562 - Support dbusmenu on Ubuntu or other Linuxen
Summary: Support dbusmenu on Ubuntu or other Linuxen
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Alberto Ruiz
URL:
Whiteboard:
Keywords: easyHack, topicUI
Depends on:
Blocks:
 
Reported: 2010-12-21 12:48 UTC by Mark Shuttleworth
Modified: 2015-12-16 05:32 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Shuttleworth 2010-12-21 12:48:19 UTC
dbusmenu provides a facility for global menus, it's developed by Canonical for Ubuntu but freely available for other OS's. Gtk and Qt support it, but LibreOffice will need an additional patch to do so. A quick review of LibreOffice menus suggests it doesn't use anything that is not already provided by dbusmenu, it should simply be a matter of connecting the dots.

Am filing this bug here to facilitate coordination of a fix, as the issue has been reported in the Ubuntu bugtracker.
Comment 1 Jan Holesovsky 2010-12-22 02:12:41 UTC
Mark: Thank you for the report!

Marking it as 'EasyHack' [though it is going to be an 'Advanced Hack' I am afraid ;-)] to be accessible from

http://wiki.documentfoundation.org/Development/Easy_Hacks
Comment 2 Matt Sturgeon 2011-02-26 09:40:49 UTC
Work has begun on launchpad by http://launchpad.net/~alberto.ruiz to achieve this.

See Bug 664731: https://bugs.launchpad.net/bugs/664731
And bzr Branch: https://code.launchpad.net/~lo-menubar-team/lo-menubar/trunk
Comment 3 Björn Michaelsen 2011-03-31 12:26:31 UTC
initial import of lomenubar with:
http://cgit.freedesktop.org/libreoffice/libs-core/commit/?id=ec176090c881c6d6b85606c6711ed621c5af7531
Comment 4 Björn Michaelsen 2011-03-31 12:27:11 UTC
Alberto: Should I reassign to myself?
Comment 5 Stéphane Aulery 2012-08-11 01:24:24 UTC
Deteted "Easyhack" from summary
Comment 6 Björn Michaelsen 2012-11-14 13:11:25 UTC
Rebased and merged to master at
https://gerrit.libreoffice.org/gitweb?p=core.git;a=commit;h=349fa28a5998d10b110da1a7fcc6b5b24d5940b1
Comment 7 Robinson Tryon (qubit) 2015-12-16 05:32:57 UTC
Migrating Whiteboard tags to Keywords: (EasyHack TopicUi)
[NinjaEdit]